cd ${MODULES_DIR_PATH}$$m; make all;\
done
+install:
+ for m in ${MODULES_LIST}; do\
+ cd ${MODULES_DIR_PATH}$$m; make modules_install INSTALL_MOD_PATH=${DESTDIR};\
+ done
+
clean:
for m in ${MODULES_LIST}; do\
cd ${MODULES_DIR_PATH}$$m; make clean;\
--- /dev/null
+The Debian Package unipi-kernel-modules
+----------------------------
+
+Comments regarding the Package
+
+ -- Miroslav Ondra <info@unipi.technology> Wed, 11 Apr 2018 10:14:19 +0200
--- /dev/null
+if [ "$1" = "configure" ]; then
+ depmod -a #KVERS# || true
+fi
--- /dev/null
+ depmod -a #KVERS# || true
--- /dev/null
+unipi-kernel-modules (1.16) unstable; urgency=medium
+
+ * changed from binary to dkms version
+
+ -- Miroslav Ondra <bokula@bokula.faster.cz> Fri, 21 Sep 2018 01:03:41 +0200
+
+neuron-kernel (1.15.20180914) unstable; urgency=medium
+
+ * Compiled for kernel 4.14.69-v7+ (=1.20180910-1)
+
+ -- Miroslav Ondra <bokula@bokula.faster.cz> Fri, 14 Sep 2018 16:35:36 +0200
+
+neuron-kernel (1.15.20180907) unstable; urgency=medium
+
+ * Compiled for kernel 4.14.62-v7+ (=1.20180817-1)
+ * fixed spi buffer alignement
+ * redesigned uart rx/tx proc
+
+ -- Miroslav Ondra <bokula@bokula.faster.cz> Fri, 14 Sep 2018 00:47:53 +0200
+
+neuron-kernel (1.14.20180803) unstable; urgency=medium
+
+ * fixed trace_printk for debugging
+
+ -- Miroslav Ondra <bokula@bokula.faster.cz> Fri, 03 Aug 2018 12:42:40 +0200
+
+neuron-kernel (1.14.20180802) unstable; urgency=medium
+
+ * redesigned line discipline
+
+ -- Miroslav Ondra <bokula@bokula.faster.cz> Thu, 02 Aug 2018 21:37:29 +0200
+
+neuron-kernel (1.13.20180719) unstable; urgency=medium
+
+ * Compiled for kernel 4.14.52-v7+ (=1.20180703-1)
+ * changed char dev name to /dev/unipispi
+
+ -- Miroslav Ondra <bokula@bokula.faster.cz> Thu, 02 Aug 2018 21:36:09 +0200
+
+neuron-kernel (1.12.14062018-0) unstable; urgency=medium
+
+ * Compiled for new distribution kernel 4.14.52-v7+ (=1.20180703-1)
+
+ -- Miroslav Ondra <info@unipi.technology> Wed, 16 Jul 2018 10:00:19 +0200
+
+neuron-kernel (1.11.06062018-0) unstable; urgency=medium
+
+ * Compiled for new distribution kernel 4.14.34-v7+ (=1.20180417-1)
+
+ -- Miroslav Ondra <info@unipi.technology> Wed, 06 Jun 2018 20:16:19 +0200
+
+neuron-kernel (0.03082018-3) unstable; urgency=medium
+
+ * Compiled for new distribution kernel 4.14.34-v7+ (=1.20180417-1)
+
+ -- Miroslav Ondra <info@unipi.technology> Wed, 18 Apr 2018 21:49:19 +0200
+
+neuron-kernel (0.03082018-2) unstable; urgency=medium
+
+ * Compiled for new distribution kernel (=1.20180328-1)
+
+ -- Miroslav Ondra <info@unipi.technology> Wed, 17 Apr 2018 10:14:19 +0200
+
+neuron-kernel (0.03082018) unstable; urgency=medium
+
+ * Initial Release.
+
+ -- Miroslav Ondra <info@unipi.technology> Wed, 11 Apr 2018 10:14:19 +0200
--- /dev/null
+debian/neuron-kernel.install
+debian/unipi-kernel-modules-dkms.install
+debian/neuron-kernel.substvars
+debian/neuron-kernel.postinst.debhelper
+debian/neuron-kernel.postrm.debhelper
--- /dev/null
+Source: unipi-kernel-modules
+Section: kernel
+Priority: optional
+Maintainer: Miroslav Ondra <info@unipi.technology>
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.8
+Homepage: <insert the upstream URL, if relevant>
+#Vcs-Git: https://anonscm.debian.org/collab-maint/neuron-kernel.git
+
+Package: neuron-kernel
+Architecture: armhf
+Depends: ${misc:Depends}, unipi-common, raspberrypi-kernel(=${RPI-FIRMWARE-VER})
+Description: UniPi Neuron kernel modules
+ Binary kernel modules for UniPi Neuron controller. Compiled with
+ raspberrypi-kernel from Raspbian distribution.
+
+Package: unipi-kernel-modules-dkms
+Architecture: linux-any
+Depends: ${misc:Depends}, unipi-common, dkms
+Replaces: neuron-kernel
+Conflicts: neuron-kernel
+Description: UniPi Neuron kernel modules - DKMS source
+ This package contains source code of kernel module for spi protocol
+ used by internal boards in the UniPi Neuron/Axon controllers.
+ Can be used with DKMS so that local kernel images are automatically
+ built and installed every time relevant kernel packages are upgraded.
--- /dev/null
+Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: unipi-kernel-modules
+Source: <url://example.com>
+
+Files: *
+Copyright: 2018 UniPi Technology <info@unipi.technology>
+License: GPL-3.0+
+
+Files: debian/*
+Copyright: 2018 Miroslav Ondra <info@unipi.technology>
+License: GPL-3.0+
+
+License: GPL-3.0+
+ This program is free software: you can redistribute it and/or modify
+ it under the terms of the GNU General Public License as published by
+ the Free Software Foundation, either version 3 of the License, or
+ (at your option) any later version.
+ .
+ This package is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+ GNU General Public License for more details.
+ .
+ You should have received a copy of the GNU General Public License
+ along with this program. If not, see <https://www.gnu.org/licenses/>.
+ .
+ On Debian systems, the complete text of the GNU General
+ Public License version 3 can be found in "/usr/share/common-licenses/GPL-3".
+
+# Please also look if there are files or directories which have a
+# different copyright/license attached and list them here.
+# Please avoid picking licenses with terms that are more restrictive than the
+# packaged work, as it may make Debian's contributions unacceptable upstream.
--- /dev/null
+README
+README.Debian
+README.source
--- /dev/null
+unipi-kernel-modules (1.16.1.20180919-1) unstable; urgency=medium
+
+ * Compiled for raspberrypi-kernel 1.20180919-1
+
+ -- Miroslav Ondra <bokula@bokula.faster.cz> Fri, 21 Sep 2018 02:36:55 +0200
+
+unipi-kernel-modules (1.16) unstable; urgency=medium
+
+ * changed from binary to dkms version
+
+ -- Miroslav Ondra <bokula@bokula.faster.cz> Fri, 21 Sep 2018 01:03:41 +0200
+
+neuron-kernel (1.15.20180914) unstable; urgency=medium
+
+ * Compiled for kernel 4.14.69-v7+ (=1.20180910-1)
+
+ -- Miroslav Ondra <bokula@bokula.faster.cz> Fri, 14 Sep 2018 16:35:36 +0200
+
+neuron-kernel (1.15.20180907) unstable; urgency=medium
+
+ * Compiled for kernel 4.14.62-v7+ (=1.20180817-1)
+ * fixed spi buffer alignement
+ * redesigned uart rx/tx proc
+
+ -- Miroslav Ondra <bokula@bokula.faster.cz> Fri, 14 Sep 2018 00:47:53 +0200
+
+neuron-kernel (1.14.20180803) unstable; urgency=medium
+
+ * fixed trace_printk for debugging
+
+ -- Miroslav Ondra <bokula@bokula.faster.cz> Fri, 03 Aug 2018 12:42:40 +0200
+
+neuron-kernel (1.14.20180802) unstable; urgency=medium
+
+ * redesigned line discipline
+
+ -- Miroslav Ondra <bokula@bokula.faster.cz> Thu, 02 Aug 2018 21:37:29 +0200
+
+neuron-kernel (1.13.20180719) unstable; urgency=medium
+
+ * Compiled for kernel 4.14.52-v7+ (=1.20180703-1)
+ * changed char dev name to /dev/unipispi
+
+ -- Miroslav Ondra <bokula@bokula.faster.cz> Thu, 02 Aug 2018 21:36:09 +0200
+
+neuron-kernel (1.12.14062018-0) unstable; urgency=medium
+
+ * Compiled for new distribution kernel 4.14.52-v7+ (=1.20180703-1)
+
+ -- Miroslav Ondra <info@unipi.technology> Wed, 16 Jul 2018 10:00:19 +0200
+
+neuron-kernel (1.11.06062018-0) unstable; urgency=medium
+
+ * Compiled for new distribution kernel 4.14.34-v7+ (=1.20180417-1)
+
+ -- Miroslav Ondra <info@unipi.technology> Wed, 06 Jun 2018 20:16:19 +0200
+
+neuron-kernel (0.03082018-3) unstable; urgency=medium
+
+ * Compiled for new distribution kernel 4.14.34-v7+ (=1.20180417-1)
+
+ -- Miroslav Ondra <info@unipi.technology> Wed, 18 Apr 2018 21:49:19 +0200
+
+neuron-kernel (0.03082018-2) unstable; urgency=medium
+
+ * Compiled for new distribution kernel (=1.20180328-1)
+
+ -- Miroslav Ondra <info@unipi.technology> Wed, 17 Apr 2018 10:14:19 +0200
+
+neuron-kernel (0.03082018) unstable; urgency=medium
+
+ * Initial Release.
+
+ -- Miroslav Ondra <info@unipi.technology> Wed, 11 Apr 2018 10:14:19 +0200
--- /dev/null
+#!/usr/bin/make -f
+# See debhelper(7) (uncomment to enable)
+# output every command that modifies files on the build system.
+#export DH_VERBOSE = 1
+
+
+# see FEATURE AREAS in dpkg-buildflags(1)
+#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+# see ENVIRONMENT in dpkg-buildflags(1)
+# package maintainers to append CFLAGS
+#export DEB_CFLAGS_MAINT_APPEND = -Wall -pedantic
+# package maintainers to append LDFLAGS
+#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+
+MOD_VERSION=$(shell dpkg-parsechangelog |grep ^Version:|cut -d ' ' -f 2)
+
+.raspbian-versions:
+ misc/check-raspbian
+
+include ./.raspbian-versions
+
+DISTRIB=$(shell dpkg-parsechangelog -l debian/neuron-kernel.changelog -S Distribution)
+NEURON_KERNEL_VERSION=$(shell dpkg-parsechangelog -l debian/neuron-kernel.changelog -S Version)
+
+%:
+ dh $@ --with dkms
+
+# dh_make generated override targets
+# This is example for Cmake (See https://bugs.debian.org/641051 )
+#override_dh_auto_configure:
+# dh_auto_configure -- # -DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)
+
+override_dh_installmodules:
+ DH_AUTOSCRIPTDIR=debian/autoscripts dh_installmodules
+
+
+override_dh_prep:
+ dh_prep --exclude=neuron-kernel.substvars
+ echo RPI-FIRMWARE-VER=${RPI_FIRMWARE_VER} >> debian/neuron-kernel.substvars
+ sed "s/#MOD_VERSION#/$(MOD_VERSION)/g" debian/unipi-kernel-modules-dkms.install.in > debian/unipi-kernel-modules-dkms.install
+ @if echo ${NEURON_KERNEL_VERSION} | grep -qve "^$(MOD_VERSION)"; then\
+ ( sed '/^ -- /q;' debian/changelog; echo ""; cat debian/neuron-kernel.changelog )>debian/_cl;\
+ mv debian/_cl debian/neuron-kernel.changelog;\
+ fi
+ @if [ ${NEURON_KERNEL_VERSION} != $(MOD_VERSION).$(RPI_FIRMWARE_VER) ]; then\
+ dch -mv $(MOD_VERSION).$(RPI_FIRMWARE_VER) --release-heuristic=log \
+ -c debian/neuron-kernel.changelog "Compiled for raspberrypi-kernel ${RPI_FIRMWARE_VER}"; \
+ fi;
+ @if [ ${DISTRIB} != "UNRELEASED" ]; then dch -rm -c debian/neuron-kernel.changelog ""; fi
+
+override_dh_dkms:
+ dh_dkms -V $(MOD_VERSION)
+
+#override_dh_build:
+
+override_dh_auto_configure:
+ misc/check-raspbian
+ misc/current
+
+override_dh_auto_build:
+ dh_auto_build -- CCPREFIX=${DEB_TARGET_GNU_TYPE}- \
+ LINUX_DIR_PATH=${PWD}/tmp/linux-raspberrypi-kernel_${RPI_FIRMWARE_VER}
+
+override_dh_auto_install:
+ dh_auto_install --destdir=debian/neuron-kernel -- CCPREFIX=${DEB_TARGET_GNU_TYPE}- \
+ LINUX_DIR_PATH=${PWD}/tmp/linux-raspberrypi-kernel_${RPI_FIRMWARE_VER}
+
+#override_dh_gencontrol:
+# dh_gencontrol
--- /dev/null
+3.0 (native)
--- /dev/null
+PACKAGE_NAME="unipi"
+PACKAGE_VERSION="#MODULE_VERSION#"
+
+BUILT_MODULE_NAME[0]="unipi"
+BUILT_MODULE_LOCATION[0]=""
+DEST_MODULE_LOCATION[0]="/extra"
+AUTOINSTALL=yes
+
+MAKE[0]="make -C $kernel_source_dir M=${dkms_tree}/unipi/${module_version}/build modules"
+CLEAN="make -C ${dkms_tree}/unipi/${module_version} clean; rm -rf ${dkms_tree}/unipi/${module_version}/build/{Module.*,modules.order,OBJ.*}"
--- /dev/null
+modules/unipi/src usr/src/unipi-#MOD_VERSION#
+modules/unipi/Makefile usr/src/unipi-#MOD_VERSION#
--- /dev/null
+#!/bin/bash
+
+###############################################
+#
+# check latest raspbian kernel version, download it to directory tmp
+#
+#################################################
+
+# get latest raspbian kernel version
+wget -q http://archive.raspberrypi.org/debian/dists/stretch/main/binary-armhf/Packages.gz -O - | gunzip \
+| awk '/^Package: raspberrypi-kernel-headers[[:blank:]]*$/ { ok=1; next} /^Package: / {ok=0;} (ok!=1) {next}
+ /^Version: / {print "RPI_FIRMWARE_VER=" $2 }
+ /^Filename: / {print "RPI_FIRMWARE_FILE=" $2; nextfile }' > .raspbian-versions
+
+# compare with locally installed version
+if [ ! -d tmp ]; then
+ [ -f tmp ] && rm -f tmp
+else
+ if diff -s .raspbian-versions tmp/versions >/dev/null 2>&1; then
+ # kernel headers are loaded
+ exit 0
+ fi
+ rm -rf tmp
+fi
+mkdir tmp
+
+. .raspbian-versions
+
+# Dowload current raspbian kernel source
+# get commit number used for making this kernel version
+cd tmp
+wget https://raw.githubusercontent.com/raspberrypi/firmware/stable/extra/git_hash -O- > .git_hash
+GIT_VER=`cat .git_hash`
+ wget https://github.com/raspberrypi/linux/archive/$GIT_VER.zip -O raspberrypi-kernel_${RPI_FIRMWARE_VER}.zip
+ unzip raspberrypi-kernel_${RPI_FIRMWARE_VER}.zip
+ mv linux-$GIT_VER linux-raspberrypi-kernel_${RPI_FIRMWARE_VER}
+ #-----------------------------------------------------------------------
+ rm raspberrypi-kernel_${RPI_FIRMWARE_VER}.zip
+
+# download headers and symbols
+wget http://archive.raspberrypi.org/debian/${RPI_FIRMWARE_FILE}
+dpkg-deb -x `basename ${RPI_FIRMWARE_FILE}` h
+cd ..
+cat .raspbian-versions >tmp/versions
--- /dev/null
+#!/bin/bash
+
+##########################################
+##
+## compile module agains kernel tree in tmp
+##
+##########################################
+
+cd tmp
+. versions
+
+
+KERNEL_VER=`ls -1 h/lib/modules | grep '\-v7'`
+echo $KERNEL_VER
+cp h/usr/src/linux-headers-${KERNEL_VER}/.config linux-raspberrypi-kernel_${RPI_FIRMWARE_VER}
+cp h/usr/src/linux-headers-${KERNEL_VER}/Module.symvers linux-raspberrypi-kernel_${RPI_FIRMWARE_VER}
+cd linux-raspberrypi-kernel_${RPI_FIRMWARE_VER}
+make modules_prepare CROSS_COMPILE=arm-linux-gnueabi- ARCH=arm
+cd ../..
+#make all CCPREFIX=arm-linux-gnueabi- ARCH=arm LINUX_DIR_PATH=${PWD}/tmp/linux-raspberrypi-kernel_${RPI_FIRMWARE_VER}
#!/bin/bash
+###############################################
+#
+# check latest raspbian kernel version, download it to directory tmp
+# compile module
+#################################################
+
mkdir -p tmp
+
+# get latest raspbian kernel version
wget -q http://archive.raspberrypi.org/debian/dists/stretch/main/binary-armhf/Packages.gz -O - | gunzip \
| awk '/^Package: raspberrypi-kernel-headers[[:blank:]]*$/ { ok=1; next} /^Package: / {ok=0;} (ok!=1) {next}
-/^Version: / {print "RPI_FIRMWARE_VER=" $2 }
-/^Filename: / {print "RPI_FIRMWARE_FILE=" $2; nextfile }' > tmp/versions
+ /^Version: / {print "RPI_FIRMWARE_VER=" $2 }
+ /^Filename: / {print "RPI_FIRMWARE_FILE=" $2; nextfile }' > tmp/versions
cd tmp
. versions
+# get kernel source
#-----------------------------------------------------------------------
# this method doesn't work if tag in git wasn't created
#wget https://github.com/raspberrypi/linux/archive/raspberrypi-kernel_${RPI_FIRMWARE_VER}.zip
# alternate method to get raspberrypi-kernel_${RPI_FIRMWARE_VER}.zip
# get commit number used for making this kernel version
-wget https://raw.githubusercontent.com/raspberrypi/firmware/stable/extra/git_hash -O- > .git_hash
-GIT_VER=`cat .git_hash`
-wget https://github.com/raspberrypi/linux/archive/$GIT_VER.zip -O raspberrypi-kernel_${RPI_FIRMWARE_VER}.zip
-unzip raspberrypi-kernel_${RPI_FIRMWARE_VER}.zip
-mv linux-$GIT_VER linux-raspberrypi-kernel_${RPI_FIRMWARE_VER}
-#-----------------------------------------------------------------------
-rm raspberrypi-kernel_${RPI_FIRMWARE_VER}.zip
+ wget https://raw.githubusercontent.com/raspberrypi/firmware/stable/extra/git_hash -O- > .git_hash
+ GIT_VER=`cat .git_hash`
+ wget https://github.com/raspberrypi/linux/archive/$GIT_VER.zip -O raspberrypi-kernel_${RPI_FIRMWARE_VER}.zip
+ unzip raspberrypi-kernel_${RPI_FIRMWARE_VER}.zip
+ mv linux-$GIT_VER linux-raspberrypi-kernel_${RPI_FIRMWARE_VER}
+ #-----------------------------------------------------------------------
+ rm raspberrypi-kernel_${RPI_FIRMWARE_VER}.zip
+
+# download headers and symbols
wget http://archive.raspberrypi.org/debian/${RPI_FIRMWARE_FILE}
dpkg-deb -x `basename ${RPI_FIRMWARE_FILE}` h
+
+# prepare kernel tree and compile module
KERNEL_VER=`ls -1 h/lib/modules | grep '\-v7'`
echo $KERNEL_VER
cp h/usr/src/linux-headers-${KERNEL_VER}/.config linux-raspberrypi-kernel_${RPI_FIRMWARE_VER}
all:
make ARCH=arm CROSS_COMPILE=${CCPREFIX} -C ${LINUX_DIR_PATH} M=${PWD} modules
+modules_install:
+ make ARCH=arm CROSS_COMPILE=${CCPREFIX} -C ${LINUX_DIR_PATH} M=${PWD} modules_install
+
clean:
- make -C ${LINUX_DIR_PATH} M=$(PWD) clean
- rm -f ${BIN_DIR_PATH}/${KERNEL_MODULE_NAME}.ko
+ rm -f ${unipi-objs} src/.*.o.cmd
+ rm -f ${KERNEL_MODULE_NAME}.ko ${KERNEL_MODULE_NAME}.mod.c .*.o.cmd .*.ko.cmd *.o modules.order Module.symvers
+ rm -rf .tmp_versions
transfer: clean symlink
scp ${BIN_DIR_PATH}/${KERNEL_MODULE_NAME}.ko ${TARGET_PLC_PATH}
+++ /dev/null
-# Compiled binaries go here
+++ /dev/null
-#!/bin/bash
-
-##########################################
-##
-## compile module agains kernel tree in tmp
-##
-##########################################
-
-cd tmp
-. versions
-
-
-KERNEL_VER=`ls -1 h/lib/modules | grep '\-v7'`
-echo $KERNEL_VER
-cp h/usr/src/linux-headers-${KERNEL_VER}/.config linux-raspberrypi-kernel_${RPI_FIRMWARE_VER}
-cp h/usr/src/linux-headers-${KERNEL_VER}/Module.symvers linux-raspberrypi-kernel_${RPI_FIRMWARE_VER}
-cd linux-raspberrypi-kernel_${RPI_FIRMWARE_VER}
-make modules_prepare CROSS_COMPILE=arm-linux-gnueabi- ARCH=arm
-cd ../..
-make all CCPREFIX=arm-linux-gnueabi- ARCH=arm LINUX_DIR_PATH=tmp/linux-raspberrypi-kernel_${RPI_FIRMWARE_VER}
+++ /dev/null
-#!/bin/bash
-
-###############################################
-#
-# check latest raspbian kernel version, download it to directory tmp
-# compile module
-#################################################
-
-mkdir -p tmp
-
-# get latest raspbian kernel version
-wget -q http://archive.raspberrypi.org/debian/dists/stretch/main/binary-armhf/Packages.gz -O - | gunzip \
-| awk '/^Package: raspberrypi-kernel-headers[[:blank:]]*$/ { ok=1; next} /^Package: / {ok=0;} (ok!=1) {next}
- /^Version: / {print "RPI_FIRMWARE_VER=" $2 }
- /^Filename: / {print "RPI_FIRMWARE_FILE=" $2; nextfile }' > tmp/versions
-
-cd tmp
-. versions
-
-# get kernel source
-#-----------------------------------------------------------------------
-# this method doesn't work if tag in git wasn't created
-#wget https://github.com/raspberrypi/linux/archive/raspberrypi-kernel_${RPI_FIRMWARE_VER}.zip
-#unzip raspberrypi-kernel_${RPI_FIRMWARE_VER}.zip
-
-# alternate method to get raspberrypi-kernel_${RPI_FIRMWARE_VER}.zip
-# get commit number used for making this kernel version
-
- wget https://raw.githubusercontent.com/raspberrypi/firmware/stable/extra/git_hash -O- > .git_hash
- GIT_VER=`cat .git_hash`
- wget https://github.com/raspberrypi/linux/archive/$GIT_VER.zip -O raspberrypi-kernel_${RPI_FIRMWARE_VER}.zip
- unzip raspberrypi-kernel_${RPI_FIRMWARE_VER}.zip
- mv linux-$GIT_VER linux-raspberrypi-kernel_${RPI_FIRMWARE_VER}
- #-----------------------------------------------------------------------
- rm raspberrypi-kernel_${RPI_FIRMWARE_VER}.zip
-
-# download headers and symbols
-wget http://archive.raspberrypi.org/debian/${RPI_FIRMWARE_FILE}
-dpkg-deb -x `basename ${RPI_FIRMWARE_FILE}` h
-
-# prepare kernel tree and compile module
-KERNEL_VER=`ls -1 h/lib/modules | grep '\-v7'`
-echo $KERNEL_VER
-cp h/usr/src/linux-headers-${KERNEL_VER}/.config linux-raspberrypi-kernel_${RPI_FIRMWARE_VER}
-cp h/usr/src/linux-headers-${KERNEL_VER}/Module.symvers linux-raspberrypi-kernel_${RPI_FIRMWARE_VER}
-cd linux-raspberrypi-kernel_${RPI_FIRMWARE_VER}
-make modules_prepare CROSS_COMPILE=arm-linux-gnueabi- ARCH=arm
-cd ../..
-make all CCPREFIX=arm-linux-gnueabi- ARCH=arm LINUX_DIR_PATH=tmp/linux-raspberrypi-kernel_${RPI_FIRMWARE_VER}
#if NEURONSPI_SCHED_REQUIRED > 0
#include <uapi/linux/sched/types.h>
#endif
-#define NEURONSPI_MAJOR_VERSIONSTRING "Version 1.15:2018:09:14"
+#define NEURONSPI_MAJOR_VERSIONSTRING "Version 1.16:2018:09:21"
#define NEURONSPI_MAX_DEVS 3
#define NEURONSPI_MAX_UART 16